org.apache.fop.area.inline

## Class Leader

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.Area
    - - org.apache.fop.area.inline.InlineArea
      - - org.apache.fop.area.inline.Leader

- All Implemented Interfaces:
    Serializable, Cloneable

      public class Leader
      extends InlineArea

  This is a leader inline area. This class is only used for leader with leader-pattern of rule.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.area.inline.InlineArea

      `InlineArea.InlineAdjustingInfo`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.area.inline.InlineArea

      `adjustingInfo, blockProgressionOffset`

    - ### Fields inherited from class org.apache.fop.area.Area

      `bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

    - ### Fields inherited from class org.apache.fop.area.AreaTreeObject

      `extensionAttachments, foreignAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leader()` Create a new leader area.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRuleStyle()` Get the rule style of this leader.
    `String` | `getRuleStyleAsString()`
    `int` | `getRuleThickness()` Get the rule thickness of the rule in miilipoints.
    `void` | `setRuleStyle(int style)` Set the rule style of this leader area.
    `void` | `setRuleStyle(String style)` Set the rule style of this leader area.
    `void` | `setRuleThickness(int rt)` Set the rule thickness of the rule in miilipoints.

    - ### Methods inherited from class org.apache.fop.area.inline.InlineArea

      `addChildArea, applyVariationFactor, collectInlineRuns, getAdjustingInfo, getBlockProgressionOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isAncestor, isAncestorOrSelf, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustingInfo, setAdjustment, setBlockProgressionOffset, setParentArea`

    - ### Methods inherited from class org.apache.fop.area.Area

      `activateEffectiveIPD, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getChangeBarList, getEffectiveAllocIPD, getEffectiveIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, isFromFootnote, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setChangeBarList, setFromFootnote, setIPD, setTraits, setWritingModeTraits, toString`

    - ### Methods inherited from class org.apache.fop.area.AreaTreeObject

      `addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Leader

          public Leader()

      Create a new leader area.

  - ### Method Detail

    - #### setRuleStyle

          public void setRuleStyle(int style)

      Set the rule style of this leader area.
      Parameters:
        `style` - the rule style for the leader line

    - #### setRuleStyle

          public void setRuleStyle(String style)

      Set the rule style of this leader area.
      Parameters:
        `style` - the rule style for the leader area (XSL enum values)

    - #### setRuleThickness

          public void setRuleThickness(int rt)

      Set the rule thickness of the rule in miilipoints.
      Parameters:
        `rt` - the rule thickness in millipoints

    - #### getRuleStyle

          public int getRuleStyle()

      Get the rule style of this leader.
      Returns:
        the rule style

    - #### getRuleStyleAsString

          public String getRuleStyleAsString()

      Returns:
        the rule style as string

    - #### getRuleThickness

          public int getRuleThickness()

      Get the rule thickness of the rule in miilipoints.
      Returns:
        the rule thickness in millipoints

Copyright © 2025 Apache Software Foundation. All rights reserved.